/*******************************************************************************
 *  Copyright CONSORTIUM COCKTAIL (www.cocktail.org), 1995, 2008
 *  
 *  This software is governed by the CeCILL license under French law and abiding
 *  by the rules of distribution of free software. You can use, modify and/or
 *  redistribute the software under the terms of the CeCILL license as circulated
 *  by CEA, CNRS and INRIA at the following URL "http://www.cecill.info".
 *  
 *  As a counterpart to the access to the source code and rights to copy, modify
 *  and redistribute granted by the license, users are provided only with a
 *  limited warranty and the software's author, the holder of the economic
 *  rights, and the successive licensors have only limited liability.
 *  
 *  In this respect, the user's attention is drawn to the risks associated with
 *  loading, using, modifying and/or developing or reproducing the software by
 *  the user in light of its specific status of free software, that may mean that
 *  it is complicated to manipulate, and that also therefore means that it is
 *  reserved for developers and experienced professionals having in-depth
 *  computer knowledge. Users are therefore encouraged to load and test the
 *  software's suitability as regards their requirements in conditions enabling
 *  the security of their systems and/or data to be ensured and, more generally,
 *  to use and operate it in the same conditions as regards security.
 *  
 *  The fact that you are presently reading this means that you have had
 *  knowledge of the CeCILL license and that you accept its terms.
 * 
 *******************************************************************************/

package org.cocktail.kiwi.client.nibctrl;

import java.awt.BorderLayout;
import java.util.Vector;

import javax.swing.BorderFactory;
import javax.swing.JScrollPane;
import javax.swing.ListSelectionModel;
import javax.swing.SwingConstants;

import org.cocktail.application.client.swing.TableSorter;
import org.cocktail.application.client.swing.ZEOTable;
import org.cocktail.application.client.swing.ZEOTableModel;
import org.cocktail.application.client.swing.ZEOTableModelColumn;
import org.cocktail.kiwi.common.utilities.CocktailConstantes;
import org.cocktail.kiwi.common.utilities.CocktailIcones;

import com.webobjects.eointerface.EODisplayGroup;

/**
 *
 * @author  cpinsard
 */
public class RemboursementsView extends javax.swing.JPanel {

	protected EODisplayGroup eodSegment, eodCommande;

	protected ZEOTable myEOTableSegment, myEOTableCommande;
	protected ZEOTableModel myTableModelSegment, myTableModelCommande ;
	protected TableSorter myTableSorterSegment, myTableSorterCommande;

    /** Creates new form TemplateJPanel */
    public RemboursementsView(EODisplayGroup dgSegment, EODisplayGroup dgCommande) {

        eodSegment = dgSegment;
        eodCommande = dgCommande;
        
        initComponents();
        initGui();
        
    }


	/** This method is called from within the constructor to
     * initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is
     * always regenerated by the Form Editor.
     */

    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        viewTable = new javax.swing.JPanel();
        btnSupprimer = new javax.swing.JButton();
        btnUpdateCommande = new javax.swing.JButton();
        jLabel3 = new javax.swing.JLabel();
        viewTableCommande = new javax.swing.JPanel();
        jLabel4 = new javax.swing.JLabel();
        btnAjouter = new javax.swing.JButton();
        jLabel5 = new javax.swing.JLabel();
        tfMotif = new javax.swing.JTextField();
        jLabel6 = new javax.swing.JLabel();
        tfInfos = new javax.swing.JTextField();
        tfPriseEnCharge = new javax.swing.JTextField();
        tfDevise = new javax.swing.JTextField();
        jLabel7 = new javax.swing.JLabel();
        jLabel8 = new javax.swing.JLabel();
        tfCoeff = new javax.swing.JTextField();
        jLabel9 = new javax.swing.JLabel();
        tfMontant = new javax.swing.JTextField();
        jLabel10 = new javax.swing.JLabel();
        tfRemarques = new javax.swing.JTextField();
        btnValider = new javax.swing.JButton();
        btnAnnuler = new javax.swing.JButton();
        btnDelCommande = new javax.swing.JButton();

        setPreferredSize(new java.awt.Dimension(780, 449));

        viewTable.setBorder(javax.swing.BorderFactory.createBevelBorder(javax.swing.border.BevelBorder.RAISED));
        viewTable.setLayout(new java.awt.BorderLayout());

        btnSupprimer.setToolTipText("Supprimer le remboursement sélectionné");

        btnUpdateCommande.setToolTipText("Associer une commande au remboursement");

        jLabel3.setFont(new java.awt.Font("Arial", 0, 12));
        jLabel3.setForeground(new java.awt.Color(153, 153, 255));
        jLabel3.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel3.setText("Prise en charge dans la mission :");

        viewTableCommande.setBorder(javax.swing.BorderFactory.createBevelBorder(javax.swing.border.BevelBorder.RAISED));
        viewTableCommande.setLayout(new java.awt.BorderLayout());

        jLabel4.setFont(new java.awt.Font("Arial", 0, 12));
        jLabel4.setForeground(new java.awt.Color(153, 153, 255));
        jLabel4.setText("Infos Commande Carambole");

        btnAjouter.setToolTipText("Ajouter un nouveau remboursement");

        jLabel5.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel5.setText("Motif : ");

        tfMotif.setHorizontalAlignment(javax.swing.JTextField.LEFT);

        jLabel6.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel6.setText("Infos Commande : ");

        tfInfos.setHorizontalAlignment(javax.swing.JTextField.LEFT);

        tfPriseEnCharge.setEditable(false);
        tfPriseEnCharge.setHorizontalAlignment(javax.swing.JTextField.LEFT);

        tfDevise.setEditable(false);
        tfDevise.setHorizontalAlignment(javax.swing.JTextField.LEFT);

        jLabel7.setFont(new java.awt.Font("Arial", 0, 12));
        jLabel7.setForeground(new java.awt.Color(153, 153, 255));
        jLabel7.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel7.setText("Devise :");

        jLabel8.setFont(new java.awt.Font("Arial", 0, 12));
        jLabel8.setForeground(new java.awt.Color(153, 153, 255));
        jLabel8.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel8.setText("Coeff : ");

        tfCoeff.setEditable(false);
        tfCoeff.setHorizontalAlignment(javax.swing.JTextField.RIGHT);

        jLabel9.setForeground(new java.awt.Color(255, 0, 0));
        jLabel9.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel9.setText("Montant : ");

        tfMontant.setHorizontalAlignment(javax.swing.JTextField.RIGHT);

        jLabel10.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel10.setText("Remarques : ");

        tfRemarques.setHorizontalAlignment(javax.swing.JTextField.LEFT);

        btnValider.setToolTipText("Valider les modifications");

        btnAnnuler.setToolTipText("Annuler les modifications");

        btnDelCommande.setToolTipText("Supprimer la commande saisie");

        org.jdesktop.layout.GroupLayout layout = new org.jdesktop.layout.GroupLayout(this);
        this.setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(layout.createSequentialGroup()
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(layout.createSequentialGroup()
                        .addContainerGap()
                        .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING)
                            .add(org.jdesktop.layout.GroupLayout.LEADING, layout.createSequentialGroup()
                                .add(jLabel3, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 189, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED, 14, Short.MAX_VALUE)
                                .add(tfPriseEnCharge, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 516, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                            .add(org.jdesktop.layout.GroupLayout.LEADING, viewTable, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 719, Short.MAX_VALUE)
                            .add(org.jdesktop.layout.GroupLayout.LEADING, viewTableCommande, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 719, Short.MAX_VALUE)
                            .add(org.jdesktop.layout.GroupLayout.LEADING, layout.createSequentialGroup()
                                .add(jLabel7, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 189, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED, 14, Short.MAX_VALUE)
                                .add(tfDevise, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 349, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(jLabel8, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 64, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .add(1, 1, 1)
                                .add(tfCoeff, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 98, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                            .add(org.jdesktop.layout.GroupLayout.LEADING, jLabel4, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 203, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED))
                    .add(layout.createSequentialGroup()
                        .add(119, 119, 119)
                        .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                            .add(layout.createSequentialGroup()
                                .add(jLabel6, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 91, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(tfInfos, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 328, Short.MAX_VALUE))
                            .add(layout.createSequentialGroup()
                                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING)
                                    .add(jLabel9, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 91, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                    .add(jLabel5, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 91, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                    .add(jLabel10, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 91, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING)
                                    .add(org.jdesktop.layout.GroupLayout.LEADING, tfRemarques, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 328, Short.MAX_VALUE)
                                    .add(org.jdesktop.layout.GroupLayout.LEADING, tfMotif, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 328, Short.MAX_VALUE)
                                    .add(org.jdesktop.layout.GroupLayout.LEADING, tfMontant, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 151, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))))
                        .add(193, 193, 193)))
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(btnValider, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(btnAnnuler, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(btnUpdateCommande, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(btnSupprimer, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(btnAjouter, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(btnDelCommande, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .add(23, 23, 23))
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(layout.createSequentialGroup()
                .addContainerGap()
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(layout.createSequentialGroup()
                        .add(viewTable, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 75, Short.MAX_VALUE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                            .add(jLabel3)
                            .add(tfPriseEnCharge, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                            .add(tfDevise, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                            .add(jLabel7)
                            .add(jLabel8)
                            .add(tfCoeff, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))
                    .add(btnAjouter, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(layout.createSequentialGroup()
                        .add(25, 25, 25)
                        .add(btnSupprimer, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(layout.createSequentialGroup()
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                        .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                            .add(tfMontant, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                            .add(jLabel9))
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                            .add(tfMotif, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                            .add(jLabel5))
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                            .add(tfRemarques, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                            .add(jLabel10))
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                        .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                            .add(tfInfos, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                            .add(jLabel6))
                        .add(17, 17, 17)
                        .add(jLabel4))
                    .add(layout.createSequentialGroup()
                        .add(10, 10, 10)
                        .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                            .add(layout.createSequentialGroup()
                                .add(25, 25, 25)
                                .add(btnAnnuler, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                            .add(btnValider, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(layout.createSequentialGroup()
                        .add(btnUpdateCommande, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                        .add(btnDelCommande, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                    .add(viewTableCommande, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 50, Short.MAX_VALUE))
                .add(109, 109, 109))
        );
    }// </editor-fold>//GEN-END:initComponents


    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JButton btnAjouter;
    private javax.swing.JButton btnAnnuler;
    private javax.swing.JButton btnDelCommande;
    private javax.swing.JButton btnSupprimer;
    private javax.swing.JButton btnUpdateCommande;
    private javax.swing.JButton btnValider;
    private javax.swing.JLabel jLabel10;
    private javax.swing.JLabel jLabel3;
    private javax.swing.JLabel jLabel4;
    private javax.swing.JLabel jLabel5;
    private javax.swing.JLabel jLabel6;
    private javax.swing.JLabel jLabel7;
    private javax.swing.JLabel jLabel8;
    private javax.swing.JLabel jLabel9;
    private javax.swing.JTextField tfCoeff;
    private javax.swing.JTextField tfDevise;
    private javax.swing.JTextField tfInfos;
    private javax.swing.JTextField tfMontant;
    private javax.swing.JTextField tfMotif;
    private javax.swing.JTextField tfPriseEnCharge;
    private javax.swing.JTextField tfRemarques;
    protected javax.swing.JPanel viewTableCommande;
    protected javax.swing.JPanel viewTable;
    // End of variables declaration//GEN-END:variables

    
    
    
    private void initGui() {
            
    	btnAjouter.setIcon(CocktailIcones.ICON_ADD);
    	btnSupprimer.setIcon(CocktailIcones.ICON_DELETE);
    	btnValider.setIcon(CocktailIcones.ICON_VALID);
    	btnAnnuler.setIcon(CocktailIcones.ICON_CANCEL);
    	
    	btnUpdateCommande.setIcon(CocktailIcones.ICON_UPDATE);
    	btnDelCommande.setIcon(CocktailIcones.ICON_DELETE);
    	
    	Vector myCols = new Vector();

		ZEOTableModelColumn col = new ZEOTableModelColumn(eodSegment, "segTypeInfo.stiLibelle", "Détail Type", 300);
		col.setAlignment(SwingConstants.LEFT);
		myCols.add(col);
		col = new ZEOTableModelColumn(eodSegment, "seiLibelle", "Motif / Libellé", 130);
		col.setAlignment(SwingConstants.LEFT);
		myCols.add(col);
		col = new ZEOTableModelColumn(eodSegment, "seiDivers", "Remarques", 130);
		col.setAlignment(SwingConstants.LEFT);
		myCols.add(col);
		col = new ZEOTableModelColumn(eodSegment, "segTypeInfo.stiSigne", "Signe", 90);
		col.setAlignment(SwingConstants.CENTER);
		myCols.add(col);
		col = new ZEOTableModelColumn(eodSegment, "stringMontantPaiement", "Montant", 80);
		col.setAlignment(SwingConstants.RIGHT);
		myCols.add(col);

		myTableModelSegment = new ZEOTableModel(eodSegment, myCols);
		myTableSorterSegment = new TableSorter(myTableModelSegment);

		myEOTableSegment = new ZEOTable(myTableSorterSegment);
		//myEOTableIndemnite.addListener(myListenerContrat);
		myTableSorterSegment.setTableHeader(myEOTableSegment.getTableHeader());		

		myEOTableSegment.setBackground(CocktailConstantes.COLOR_BKG_TABLE_VIEW);
		myEOTableSegment.setSelectionBackground(CocktailConstantes.COLOR_SELECTED_ROW);
		myEOTableSegment.setSelectionMode(ListSelectionModel.MULTIPLE_INTERVAL_SELECTION);
		
		viewTable.setLayout(new BorderLayout());
		viewTable.setBorder(BorderFactory.createEmptyBorder(2,2,2,2));
		viewTable.removeAll();
		viewTable.add(new JScrollPane(myEOTableSegment), BorderLayout.CENTER);

		myCols = new Vector();

		col = new ZEOTableModelColumn(eodCommande, "commNumero", "Commande", 80);
		col.setAlignment(SwingConstants.CENTER);
		myCols.add(col);
		col = new ZEOTableModelColumn(eodCommande, "commLibelle", "Motif / Libellé", 440);
		col.setAlignment(SwingConstants.LEFT);
		myCols.add(col);
		col = new ZEOTableModelColumn(eodCommande, "etatCommande", "Etat", 80);
		col.setAlignment(SwingConstants.CENTER);
		myCols.add(col);
		col = new ZEOTableModelColumn(eodCommande, "montantCommande", "Montant", 80);
		col.setAlignment(SwingConstants.CENTER);
		myCols.add(col);

		
		myTableModelCommande = new ZEOTableModel(eodCommande, myCols);
		myTableSorterCommande = new TableSorter(myTableModelCommande);

		myEOTableCommande = new ZEOTable(myTableSorterCommande);
		//myEOTableIndemnite.addListener(myListenerContrat);
		myTableSorterCommande.setTableHeader(myEOTableCommande.getTableHeader());		

		myEOTableCommande.setBackground(CocktailConstantes.COLOR_BKG_TABLE_VIEW);
		myEOTableCommande.setSelectionBackground(CocktailConstantes.COLOR_SELECTED_ROW);
		myEOTableCommande.setSelectionMode(ListSelectionModel.MULTIPLE_INTERVAL_SELECTION);
		
		viewTableCommande.setLayout(new BorderLayout());
		viewTableCommande.setBorder(BorderFactory.createEmptyBorder(2,2,2,2));
		viewTableCommande.removeAll();
		viewTableCommande.add(new JScrollPane(myEOTableCommande), BorderLayout.CENTER);

    }


	public ZEOTable getMyEOTableSegment() {
		return myEOTableSegment;
	}


	public void setMyEOTableSegment(ZEOTable myEOTableSegment) {
		this.myEOTableSegment = myEOTableSegment;
	}


	public ZEOTable getMyEOTableCommande() {
		return myEOTableCommande;
	}


	public void setMyEOTableCommande(ZEOTable myEOTableCommande) {
		this.myEOTableCommande = myEOTableCommande;
	}


	public ZEOTableModel getMyTableModelSegment() {
		return myTableModelSegment;
	}


	public void setMyTableModelSegment(ZEOTableModel myTableModelSegment) {
		this.myTableModelSegment = myTableModelSegment;
	}


	public ZEOTableModel getMyTableModelCommande() {
		return myTableModelCommande;
	}


	public void setMyTableModelCommande(ZEOTableModel myTableModelCommande) {
		this.myTableModelCommande = myTableModelCommande;
	}


	public javax.swing.JButton getBtnAjouter() {
		return btnAjouter;
	}


	public void setBtnAjouter(javax.swing.JButton btnAjouter) {
		this.btnAjouter = btnAjouter;
	}


	public javax.swing.JButton getBtnAnnuler() {
		return btnAnnuler;
	}


	public void setBtnAnnuler(javax.swing.JButton btnAnnuler) {
		this.btnAnnuler = btnAnnuler;
	}


	public javax.swing.JButton getBtnSupprimer() {
		return btnSupprimer;
	}


	public void setBtnSupprimer(javax.swing.JButton btnSupprimer) {
		this.btnSupprimer = btnSupprimer;
	}


	public javax.swing.JButton getBtnUpdateCommande() {
		return btnUpdateCommande;
	}


	public void setBtnUpdateCommande(javax.swing.JButton btnUpdateCommande) {
		this.btnUpdateCommande = btnUpdateCommande;
	}


	public javax.swing.JButton getBtnValider() {
		return btnValider;
	}


	public void setBtnValider(javax.swing.JButton btnValider) {
		this.btnValider = btnValider;
	}


	public javax.swing.JTextField getTfCoeff() {
		return tfCoeff;
	}


	public void setTfCoeff(javax.swing.JTextField tfCoeff) {
		this.tfCoeff = tfCoeff;
	}


	public javax.swing.JTextField getTfDevise() {
		return tfDevise;
	}


	public void setTfDevise(javax.swing.JTextField tfDevise) {
		this.tfDevise = tfDevise;
	}


	public javax.swing.JTextField getTfInfos() {
		return tfInfos;
	}


	public void setTfInfos(javax.swing.JTextField tfInfos) {
		this.tfInfos = tfInfos;
	}


	public javax.swing.JTextField getTfMontant() {
		return tfMontant;
	}


	public void setTfMontant(javax.swing.JTextField tfMontant) {
		this.tfMontant = tfMontant;
	}


	public javax.swing.JTextField getTfMotif() {
		return tfMotif;
	}


	public void setTfMotif(javax.swing.JTextField tfMotif) {
		this.tfMotif = tfMotif;
	}


	public javax.swing.JButton getBtnDelCommande() {
		return btnDelCommande;
	}


	public void setBtnDelCommande(javax.swing.JButton btnDelCommande) {
		this.btnDelCommande = btnDelCommande;
	}


	public javax.swing.JPanel getViewTableCommande() {
		return viewTableCommande;
	}


	public void setViewTableCommande(javax.swing.JPanel viewTableCommande) {
		this.viewTableCommande = viewTableCommande;
	}


	public javax.swing.JTextField getTfPriseEnCharge() {
		return tfPriseEnCharge;
	}


	public void setTfPriseEnCharge(javax.swing.JTextField tfPriseEnCharge) {
		this.tfPriseEnCharge = tfPriseEnCharge;
	}


	public javax.swing.JTextField getTfRemarques() {
		return tfRemarques;
	}


	public void setTfRemarques(javax.swing.JTextField tfRemarques) {
		this.tfRemarques = tfRemarques;
	}
    

    
}
